QCPBarData Class Reference

Holds the data of one single data point (one bar) for QCPBars. More...

## Public Member Functions

| QCPBarData ()
| QCPBarData (double key, double value)

## Public Attributes

double | key
double | value

## Detailed Description

Holds the data of one single data point (one bar) for QCPBars.

The container for storing multiple data points is QCPBarDataMap.

The stored data is:

- key: coordinate on the key axis of this bar
- value: height coordinate on the value axis of this bar

See also
  QCPBarDataaMap

## Constructor & Destructor Documentation

QCPBarData::QCPBarData | ( |  | ) |

Constructs a bar data point with key and value set to zero.

QCPBarData::QCPBarData | ( | double | key,
|  | double | value
| ) |  |

Constructs a bar data point with the specified key and value.

The documentation for this class was generated from the following files:

- qcustomplot.h
- qcustomplot.cpp